using SFML.Window;
using SFML.Graphics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JustTanks
{
    class Program
    {
        static void Main(string[] args)
        {
            ContextSettings contextSettings = new ContextSettings { DepthBits = 32 };
            RenderWindow window = new RenderWindow(new VideoMode(640, 480), "Czołgi, lel", Styles.Default, contextSettings);

            Console.WriteLine(System.IO.Directory.GetCurrentDirectory());

            Texture texture = new Texture("./Resources/czougi.png");
            Sprite sprite = new Sprite(texture);
            window.SetActive();

            // Start the game loop
            while (window.IsOpen)
            {
                window.Draw(sprite);

                window.DispatchEvents();
                window.Display();
            }
        }
    }
}
